Subject: TeX implementations?
From: [email-masked] (Colin Peters)

30 Oct 1996 00:14:08 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked]
In-reply-to: Graham's message of Tue, 29 Oct 1996 10:53:12 -0500 <[email-masked]>
Original-Sender: [email-masked]

> From: Graham <[email-masked]>
> Date: Tue, 29 Oct 1996 10:53:12 -0500
> 
> Colin Peters <[email-masked]> wrote...
> 
> > Making NT look like UNIX is a tough job.
> 
> I'm sorry if this is a dumb or naive question, but isn't there a difference
> between making NT look like Unix by talking to the win32 API and making NT
> look like Unix by talking to the POSIX API.
> 
> I apologize if I've been mislead about the NT kernal by MicroSoft Propaganda,
> but if this POSIX API works right shouldn't it be relatively easy to talk to
> it.

Sorry about that, that's a good point. I should have said "making NT look like
a flavour of UNIX that all those programs have been written for over the past
couple of decades". I don't know a lot about POSIX, but I think that the
POSIX definitions and the ones that most if not all GNU stuff has been written
for are in places substantially different. Maybe I'm the one being dim here,
but wouldn't using the POSIX API also mean porting the GNU stuff to POSIX
(instead of to Win32)?

I don't work for Cygnus, so I'm not sure what they really want to do, but
it looks to me like they're writing a third API for NT: one that will run
all that old GNU stuff (and lots of other old UNIX code) with no changes.

The Cygnus approach also has the pleasant side effect of working on Windows
95, which has no POSIX subsystem.

Getting off topic here I guess, so I'll stop.

Colin.

------------------------------------------------------------------------------
Colin Peters ------------ Saga Univ. Dept. of Information Science, Saga, JAPAN
http://www.fu.is.saga-u.ac.jp/~colin/home.html - [email-masked]
コリン ピーターズ - 佐賀大学理工学部情報科学科情報基礎学講座
                    - Current favorite kanji: 晴れ 芝生 -

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".